Bug 225548 - Empty Search Results window has hard-coded white background - causing problem in dark LaF
Empty Search Results window has hard-coded white background - causing problem...
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Search
7.4
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Jaroslav Havlin
issues@utilities
: UI
Depends on:
Blocks: 225542
  Show dependency treegraph
 
Reported: 2013-01-30 15:25 UTC by Petr Somol
Modified: 2013-02-08 01:42 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Empty Search Results window has hard-coded white background (88.50 KB, image/png)
2013-01-30 15:25 UTC, Petr Somol
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Somol 2013-01-30 15:25:23 UTC
Created attachment 130845 [details]
Empty Search Results window has hard-coded white background

While working on dark look-and-feel it showed up that Search Results window by default displays background in white instead of the LaF specific color. Once any content is displayed in the window, the problem disappears (after Find in Projects is performed to yield any found results).

This is not a functional bug but it notably disrupts the quality of dark look-and-feels.
Comment 1 Jaroslav Havlin 2013-02-06 14:26:50 UTC
(In reply to comment #0)
> Created attachment 130845 [details]
> Empty Search Results window has hard-coded white background
The used color is SystemColor.text.
Please, don't you know which system color or UIManager's color should be used?
Thank you.
Comment 2 Stanislav Aubrecht 2013-02-06 14:31:10 UTC
Try UIManager.getColor("white");
Comment 3 Jaroslav Havlin 2013-02-07 09:12:17 UTC
http://hg.netbeans.org/core-main/rev/a9fecccbd297

I've taken value "Tree.textBackground". It will hopefully look fine for most L&Fs (tested with Windows, Nimbus and Dark Nimbus).

Thanks for reporting and help!
Comment 4 Quality Engineering 2013-02-08 01:42:01 UTC
Integrated into 'main-golden', will be available in build *201302072300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a9fecccbd297
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #225548: Empty Search Results window has white background


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo